
CoCoALib - Bug #335

Equality of (sub)modules

08 Apr 2013 15:31 - John Abbott

Status: Closed Start date: 08 Apr 2013

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 8.25 hours

Description

Make equality testing of two (sub)modules work as it does for ideals

(i.e. using G-bases check both inclusions).

This implies changing the name of NewSubmodule.

2013-06 Bigatti now pseudo-constructors are called submodule, SubmoduleRows, SubmoduleCols

Related issues:

Related to CoCoALib - Design #297: Modules design: brainstorming In Progress 25 Jan 2013

Related to CoCoALib - Design #316: submodule constructor different from ideal In Progress 20 Feb 2013

Related to CoCoA-5 - Feature #80: "<=" for ideals Closed 19 Jan 2012

Related to CoCoALib - Design #703: Add more operations between modules (CoCoA... New 15 May 2015

History

#1 - 04 Jun 2013 07:20 - Anna Maria Bigatti

- Status changed from New to Resolved

- % Done changed from 0 to 70

mostly done, needs cleaning

#2 - 06 Jun 2013 08:04 - Anna Maria Bigatti

- % Done changed from 70 to 90

added documentation and tests

#3 - 29 Oct 2013 13:33 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
